module Arke
  module Resource
    module Collections
      extend ActiveSupport::Concern

      included do
        class_attribute :_collection
      end

      module ClassMethods

        def collection(collection=nil)
          self._collection = collection if collection
          self._collection || Arke::Resource::Collection
        end

      end

    end
  end
end