module Arke
  module Resource
    module Finders
      extend ActiveSupport::Concern

      module ClassMethods

        def find(id, params={})
          body = get({id: id}.merge(params))
          new(body)
        end

        def all(params={})
          body = get(params)
          self.collection.new(self, body)
        end

      end

    end
  end
end